Subject: Re: bug#44850: 27.1; Emacs crash in font handling with font-backend ns

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Nov 2020 20:44:31 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 27 Nov 2020 18:16:48 +0100
> Cc: Eli Zaretskii <[email-masked]>, Alan Third <[email-masked]>,
>         Lars Ingebrigtsen <[email-masked]>, [email-masked],
>         [email-masked]
> 
> > I'd prefer to lift the restriction introduced by doprnt.c, instead of replacing that character. It isn't clear to me why this restriction is a good idea, and it doesn't seem like lifting the restriction should be hard.
> 
> Yes, the restriction is a bit odd but perhaps there was a good reason. For this application, however, we could just switch from esprintf to sprintf in nsterm.m. (The stated reason for using esprintf was in case the string is longer than 2 GiB but I think we would have bigger problems if a frame title ever becomes that long.)
> 
> OK for master? (Also fixed the unsightly 'x' while at it)

Like I said: I'd prefer to fix the problem in doprnt.c, rather than
sweep it under the carpet.